export type Stat = 'sum' | 'max' | 'min' | 'count' | 'countdistinct' | 'average' | 'mean' | 'avg' | 'variance' | 'var' | 'stddev';
export declare class Distribution {
    data: number[];
    sum: number | undefined;
    max: number | undefined;
    min: number | undefined;
    avg: number | undefined;
    variance: number | undefined;
    stddev: number | undefined;
    constructor(data: number[]);
    getStat(stat: string): number;
    getSum(): number;
    getMax(): number;
    getMin(): number;
    getMean(): number;
    getAverage(): number;
    getN(): number;
    getCount(): number;
    getCountDistinct(): number;
    getVariance(): number;
    getStdDev(): number;
}
